Bug 1024497 - Update to 1.8.4.x
Update to 1.8.4.x
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Todd Zullinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 15:15 EDT by Jean-Charles Malahieude
Modified: 2013-11-24 12:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 17:49:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Charles Malahieude 2013-10-29 15:15:30 EDT
Description of problem:
 I'd like to upgrade to 1.8.4.2

Version-Release number of selected component (if applicable):
 every version > 1.8.3.4

How reproducible:
 rpmbuild -bb /home/yoyo/rpmbuild/SPECS/git.spec

Actual results:

Exécution_de(%prep) : /bin/sh -e /home/yoyo/rpmbuild/tmp/rpm-tmp.shWzNI
+ umask 022
+ cd /home/yoyo/rpmbuild/BUILD
+ cd /home/yoyo/rpmbuild/BUILD
+ rm -rf git-1.8.4.2
+ /usr/bin/gzip -dc /home/yoyo/rpmbuild/SOURCES/git-1.8.4.2.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd git-1.8.4.2
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (git-1.5-gitweb-home-link.patch):'
Patch #0 (git-1.5-gitweb-home-link.patch):
+ /usr/bin/cat /home/yoyo/rpmbuild/SOURCES/git-1.5-gitweb-home-link.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file gitweb/gitweb.perl
Hunk #1 FAILED at 79.
1 out of 1 hunk FAILED -- saving rejects to file gitweb/gitweb.perl.rej
erreur : Mauvais statut de sortie pour /home/yoyo/rpmbuild/tmp/rpm-tmp.shWzNI (%prep)


Erreur de construction de RPM :
    Mauvais statut de sortie pour /home/yoyo/rpmbuild/tmp/rpm-tmp.shWzNI (%prep)

RPM build exited abnormally with code 1 at Tue Oct 29 19:54:14


Expected results:

 A successful build of the rpms I use.
Comment 1 Todd Zullinger 2013-10-29 17:49:02 EDT
This is better stated as an RFE for updating git.  I've updated the summary and changed the version to rawhide, where we would push such an update first.  If there are no incompatible changes in 1.8.4.x, we can consider pushing the update to Fedora 19.  There looks to be a minor change to the git show-ref --head, but otherwise it looks reasonable at a glance.

I've pushed 1.8.4.2 to rawhide and (shortly) f20.  The SRPM cleanly builds, so you should no have no problem rebuilding it for older versions of Fedora or EL.
Comment 2 Jean-Charles Malahieude 2013-11-03 11:11:46 EST
Thank you, Todd.

Rebuilding for F19 was OK and my set of commands set up to date.

Cheers,
Comment 3 Account closed by the user 2013-11-24 12:41:59 EST
(In reply to Todd Zullinger from comment #1)

> first.  If there are no incompatible changes in 1.8.4.x, we can consider
> pushing the update to Fedora 19.  There looks to be a minor change to the
> git show-ref --head, but otherwise it looks reasonable at a glance.

In the meantime, could you please to update f19 to latest 1.8.3.x (right now 1.8.3.4)?

There are some annoying bugs:
http://raw.github.com/git/git/master/Documentation/RelNotes/1.8.3.2.txt
http://raw.github.com/git/git/master/Documentation/RelNotes/1.8.3.3.txt
http://raw.github.com/git/git/master/Documentation/RelNotes/1.8.3.4.txt

thanks.

Note You need to log in before you can comment on or make changes to this bug.